be.cin.encrypted

## Class EncryptedKnownContent

- java.lang.Object
- - be.cin.encrypted.EncryptedKnownContent

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:18:46+01:00",
                 comments="JAXB RI v2.2.11")
      public class EncryptedKnownContent
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Reply-to-Etk" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
               <element name="BusinessContent">
                 <complexType>
                   <simpleContent>
                     <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
                       <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
                       <attribute name="ContentType" type="{http://www.w3.org/2001/XMLSchema}string" default="application/octet-stream" />
                       <attribute name="ContentEncoding" type="{http://www.w3.org/2001/XMLSchema}string" default="none" />
                     </extension>
                   </simpleContent>
                 </complexType>
               </element>
               <element name="Xades" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptedKnownContent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BusinessContent` | `getBusinessContent()` Gets the value of the businessContent property.
    `byte[]` | `getReplyToEtk()` Gets the value of the replyToEtk property.
    `byte[]` | `getXades()` Gets the value of the xades property.
    `void` | `setBusinessContent(BusinessContent value)` Sets the value of the businessContent property.
    `void` | `setReplyToEtk(byte[] value)` Sets the value of the replyToEtk property.
    `void` | `setXades(byte[] value)` Sets the value of the xades property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncryptedKnownContent

          public EncryptedKnownContent()

  - ### Method Detail

    - #### getReplyToEtk

          public byte[] getReplyToEtk()

      Gets the value of the replyToEtk property.
      Returns:
        possible object is byte[]

    - #### setReplyToEtk

          public void setReplyToEtk(byte[] value)

      Sets the value of the replyToEtk property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getBusinessContent

          public BusinessContent getBusinessContent()

      Gets the value of the businessContent property.
      Returns:
        possible object is `BusinessContent`

    - #### setBusinessContent

          public void setBusinessContent(BusinessContent value)

      Sets the value of the businessContent property.
      Parameters:
        `value` - allowed object is `BusinessContent`

    - #### getXades

          public byte[] getXades()

      Gets the value of the xades property.
      Returns:
        possible object is byte[]

    - #### setXades

          public void setXades(byte[] value)

      Sets the value of the xades property.
      Parameters:
        `value` - allowed object is byte[]

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.